
Redmine - Defect #21011

Watchers can not be deleted from a ticket

2015-10-17 01:05 - Thorsten H.

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.1.1

Description

Watchers can not be deleted from a ticket if Redmine 3.1.1 on Apache (mod_fcgi)/Passenger runs;

Over /usr/bin/ruby bin/rails server webrick -e production watchers can be delete from a ticket

Related issues:

Related to Redmine - Defect #14325: not possible to manage watchers after upg... Closed

History

#1 - 2015-10-17 01:08 - Thorsten H.

Environment:

Redmine version 3.1.1.stable.14669

Ruby version 2.0.0-p598 (2014-11-13) [x86_64-linux]

Rails version 4.2.4

Environment production

Database adapter Mysql2

SCM:

Subversion 1.7.14

Git 1.8.3.1

Filesystem

Redmine plugins:

no plugin installed

#2 - 2015-10-17 01:09 - Go MAEDA

What web browser do you use? Can you add watchers? Do you see any error messages?

#3 - 2015-10-17 01:11 - Thorsten H.

Test with Microsoft Edge, Internet Explorer 11 and Firefox 41.0.1 - no error message

#4 - 2015-10-17 01:18 - Thorsten H.

i can add new observers - but not delete - i am administrator/manager...

#5 - 2015-10-17 01:34 - Thorsten H.

Apache logfile:

84.181.XXX.XXX - - [17/Oct/2015:01:27:47 +0200] "DELETE /issues/2/watchers/5 HTTP/1.1" 403 221 "https://redmine.domain.tld/issues/2"

"Mozilla/5.0 (Windows NT 10.0; WOW64; Trident/7.0; MAAU; rv:11.0) like Gecko"

#6 - 2016-08-30 06:20 - Go MAEDA

- Subject changed from Observers can not be deleted from a ticket to Watchers can not be deleted from a ticket

- Description updated

- Category set to Issues

- Status changed from New to Closed

- Resolution set to Invalid

#7 - 2017-04-15 05:05 - Go MAEDA

- Related to Defect #14325: not possible to manage watchers after upgrade to 2.3.1 added
